import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import makeStyles from "../../styles/makeStyles";

var styles = function styles(_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      spacing = _ref$cleverUI.spacing,
      colors = _ref$cleverUI.colors;
  return {
    arrow: {
      "& path": {
        fill: colors.neutral[800]
      },
      transform: "rotate(0deg)",
      transition: "transform .05s ease-in-out"
    },

    /* Chevron position if opened or closed */
    arrowPosition: {
      transform: "rotate(90deg)"
    },
    dropdownList: _objectSpread(_objectSpread({
      marginTop: "0",
      marginBottom: "0"
    }, spacing["pb-2"]), spacing["pl-5"]),
    dropdownListCollapsed: _objectSpread(_objectSpread({
      marginTop: "0",
      marginBottom: "0"
    }, spacing["pb-2"]), spacing["pl-4"])
  };
};

export default makeStyles(styles);